Description

Page: https://docs.netgate.com/pfsense/en/latest/backup/restore.html

Feedback:

On the "Restore area" section of the page, include a note/warning specifying the following:

When restoring a specific area, additional restore steps may not be executed that would otherwise be ran when restoring a full

configuration backup.

History

#1 - 01/11/2021 12:55 PM - Marcos M

This is the case when restoring an OpenVPN configuration. I'm unsure what other areas it may apply to.

#2 - 02/03/2021 09:25 AM - Jim Pingle

- Status changed from New to Feedback

Added warning: https://docs.netgate.com/pfsense/en/latest/backup/restore.html#restore-options

#3 - 02/03/2021 10:48 AM - Marcos M

My intent was to hint towards the potential issue of restoring a specific area (e.g. openvpn) and not having upgrade steps take place on that area that

would otherwise be executed through a full restore or release upgrade. For example, when restoring only the OpenVPN config area from 2.4.5p1 to

2.5, the resulting config is slightly different than if upgrading pfSense.

#4 - 02/03/2021 10:52 AM - Jim Pingle

- Status changed from Feedback to In Progress

OK, the description did not mention upgrade code at all, or hint at it. I can add that as well.

#5 - 02/03/2021 01:38 PM - Jim Pingle

- Status changed from In Progress to Feedback

Additional warning now in place, will show up shortly when it rebuilds.

#6 - 02/03/2021 02:02 PM - Marcos M

- Status changed from Feedback to Resolved

Looks good!
